> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teamcaredental.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirm appointment

> This endpoint will confirm the appointment for patient on both TeamCare and Practice PMS.

- Ai Agent will just have to hit on confirm end point as above to confirm the appointment.
- Organization id in url will be the id for practice in teamcare database.
- Appointment id will be the id we'll be passing in rather metadata for during call.
- Response
- Content-Type: application/json
- Data attribute returned just to give you insights, it has nothing to do with patient.
- And In case of appointment not found,



## OpenAPI

````yaml https://app.teamcaredental.com/openapi-ai-voice.json post /organizations/{organization_id}/appointments/{appointment_id}/confirm
openapi: 3.1.0
info:
  title: TeamCare AI Voice API
  version: 1.0.0
  description: AI Agent APIs for appointment scheduling, patient lookup and availability.
servers:
  - url: https://app.teamcaredental.com/api/v1/ai_voice
security:
  - bearerAuth: []
paths:
  /organizations/{organization_id}/appointments/{appointment_id}/confirm:
    post:
      tags:
        - Appointment
      summary: Confirm appointment
      description: >-
        This endpoint will confirm the appointment for patient on both TeamCare
        and Practice PMS.


        - Ai Agent will just have to hit on confirm end point as above to
        confirm the appointment.

        - Organization id in url will be the id for practice in teamcare
        database.

        - Appointment id will be the id we'll be passing in rather metadata for
        during call.

        - Response

        - Content-Type: application/json

        - Data attribute returned just to give you insights, it has nothing to
        do with patient.

        - And In case of appointment not found,
      operationId: organization_appointment_confirm
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
        - name: appointment_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
        '401':
          description: Missing, invalid or expired token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: not authorized
        '403':
          description: The credential may not access this resource.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: access Denied
        '404':
          description: Resource not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: Appointment not found
        '422':
          description: The request could not be processed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: ...
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT returned by POST /auth/token. Valid for six hours.

````